> ## Documentation Index
> Fetch the complete documentation index at: https://student-213fb9fc.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Obter status do agente



## OpenAPI

````yaml pt-BR/api-reference/v2-openapi.json get /agent/{jobId}
openapi: 3.0.0
info:
  title: Firecrawl API
  version: v2
  description: >-
    API para interagir com os serviços do Firecrawl e executar tarefas de web
    scraping e crawling.
  contact:
    name: Firecrawl Support
    url: https://firecrawl.dev/support
    email: support@firecrawl.dev
servers:
  - url: https://api.firecrawl.dev/v2
security:
  - bearerAuth: []
paths:
  /agent/{jobId}:
    parameters:
      - name: jobId
        in: path
        description: O ID da tarefa do agente
        required: true
        schema:
          type: string
          format: uuid
    get:
      tags:
        - Agent
      summary: Obter o status de um job de agente
      operationId: getAgentStatus
      responses:
        '200':
          description: Resposta bem-sucedida
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  status:
                    type: string
                    enum:
                      - processing
                      - completed
                      - failed
                  data:
                    type: object
                    description: >-
                      Os dados extraídos (apenas presentes quando o status é
                      "completed")
                  model:
                    type: string
                    enum:
                      - spark-1-pro
                      - spark-1-mini
                    default: spark-1-pro
                    description: Predefinição de modelo usada na execução do agente
                  error:
                    type: string
                    description: Mensagem de erro (apenas quando o status for "failed")
                  expiresAt:
                    type: string
                    format: date-time
                  creditsUsed:
                    type: number
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````